<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-fdc3](./foundation-fdc3.md) &gt; [Fdc3ContextListener](./foundation-fdc3.fdc3contextlistener.md)

## Fdc3ContextListener class

fdc3-context-listener Util element to listen to the context on a fdc3 app channel

**Signature:**

```typescript
export declare class Fdc3ContextListener extends Fdc3SystemChannelListener 
```
**Extends:** [Fdc3SystemChannelListener](./foundation-fdc3.fdc3systemchannellistener.md)

## Example


```ts
import { customElement, GenesisElement, html } from '@genesislcap/web-core';
@customElement({
  name: 'example-component',
  template: html<ExampleComponent>`
   <fdc3-context-listener
     @channel-event="${(x, ctx) => x.handleChannelMessage(customEvent(ctx))}"
     context-type="fdc3.position"
     channel-name="my_custom_channel">
   </fdc3-context-listener>
  `,
})
class ExampleComponent extends GenesisElement {
  handleChannelMessage(e: CustomEvent) {
    const message = e.detail;
    if (message?.id?.ticker) {
      console.log(message.id.ticker);
      // ToDo: handle the message as you like
    }
  }
}
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [channelName](./foundation-fdc3.fdc3contextlistener.channelname.md) |  | string | The name of the channel you want to listen to. Read more about fdc3 app channels at https://fdc3.finos.org/docs/api/spec\#app-channels |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addChannelListener()](./foundation-fdc3.fdc3contextlistener.addchannellistener.md) | <code>protected</code> |  |

